log4cplus::helpers::ADDRINFOT_deleter Struct Reference

`#include <socket.h>`

## Public Member Functions

void | operator() (ADDRINFOA *ptr) const
void | operator() (ADDRINFOW *ptr) const

## Detailed Description

Definition at line 77 of file internal/socket.h.

## Member Function Documentation

## operator()() [1/2]

void log4cplus::helpers::ADDRINFOT_deleter::operator() | ( | ADDRINFOA * | ptr | ) | const

inline

Definition at line 80 of file internal/socket.h.

## operator()() [2/2]

void log4cplus::helpers::ADDRINFOT_deleter::operator() | ( | ADDRINFOW * | ptr | ) | const

inline

Definition at line 86 of file internal/socket.h.

The documentation for this struct was generated from the following file:

- internal/socket.h